---
logLevel: DEBUG
simulator_mode: True

general:
    timezone: 'Europe/Paris'
    timeout: 5

mongodb:
    host: mongodb
    port: 27017
    db: Onap

onap_platforms:
    -   
        name: onap_1 
        proxies: {
            'http': 'socks5h://127.0.0.1:8082',
            'https': 'socks5h://127.0.0.1:8082'}
    -
        name: onap_2
        proxies: {
            'http': 'socks5h://127.0.0.1:8082',
            'https': 'socks5h://127.0.0.1:8082'}

onap:
    sdc:
        url: https://sdc.api.be.simpledemo.onap.org:30204
        url2: https://sdc.api.fe.simpledemo.onap.org:30207
        list_service_url:
            "/sdc/v1/catalog/services"
        download_tosca_service_url:
            "/sdc/v1/catalog/services/PPservice_uuidPP/toscaModel"
        headers:
            Content-Type: "application/json"
            Accept: "application/json"
            X-TransactionId: "ONAP-Test"
            USER_ID: "cs0008"
            X-FromAppId: "ONAP-Test"
            Authorization: "Basic YWFpOktwOGJKNFNYc3pNMFdYbGhhazNlSGxjc2\
UyZ0F3ODR2YW9HR21KdlV5MlU="
            x-ecomp-instanceid: "ONAP-Test"
            cache-control: "no-cache"
        download_headers:
            Content-Type: "application/json"
            Accept: "application/octet-stream"
            X-TransactionId: "ONAP-Test"
            USER_ID: "cs0008"
            X-FromAppId: "ONAP-Test"
            Authorization: "Basic YWFpOktwOGJKNFNYc3pNMFdYbGhhazNlSGxjc2\
UyZ0F3ODR2YW9HR21KdlV5MlU="
            x-ecomp-instanceid: "ONAP-Test"
            cache-control: "no-cache"
    # For aai, the port number 30233 is the one used for aai service
    # and not the one from aai-sparky-be service
    aai:
        url: https://aai.api.sparky.simpledemo.onap.org:30233
        list_service_url: "/aai/v16/service-design-and-creation/services"
        headers: {
            'accept': "application/json",
            'content-type': "application/json",
            'x-fromappid': "AAI",
            'x-transactionid': "0a3f6713-ba96-4971-a6f8-c2da85a3176e",
            'authorization': "Basic QUFJOkFBSQ==",
            'cache-control': "no-cache"}
    nbi:
        url: http://nbi.api.simpledemo.onap.org:30274/nbi/api/v4
        headers: {
            'accept': "application/json",
            'content-type': "application/json",
            'cache-control': "no-cache"}
service_resolver:
    rfs_spec_api:
        server: tornado
        host: api_rfs_spec_server
        port: 6001
        api_debug_mode: True
        url: /serviceResolver/serviceCatalogManagement/api/v1
        headers: {
            'cache-control': 'no-cache'}
        id_generated_by_server: True
        mongo_collection: rfs_spec

    cfs_spec_api:
        server: tornado
        host: api_service_spec_server
        port: 6004
        api_debug_mode: True
        url: /serviceResolver/serviceCatalogManagement/api/v1
        headers: {
            'cache-control': 'no-cache'}
        id_generated_by_server: True
        mongo_collection: cfs_spec

    service_api:
        server: tornado
        host: api_service_server
        port: 6003
        api_debug_mode: True
        url: /serviceResolver/serviceInventoryManagement/api/v1
        headers: {
            'cache-control': 'no-cache'}
        id_generated_by_server: True
        mongo_collection: service

    service_order_api:
        server: tornado
        host: api_service_order_server
        port: 6002
        api_debug_mode: True
        url: /serviceResolver/serviceOrderManagement/api/v1
        headers: {
            'cache-control': 'no-cache'}
        id_generated_by_server: True
        mongo_collection: sorder_spec

    rule_inventory_api:
        rule_id_generated_by_server: True
        server: tornado
        host: rule_inventory_server
        port: 6007
        api_debug_mode: True
        url: /serviceResolver/instantiationRuleInventory/api/v1
        headers: {
            'cache-control': 'no-cache'}

    instantiation_decision_api:
        server: tornado
        host: instantiation_decision_server
        port: 6006
        api_debug_mode: True
        url: /serviceResolver/instantiationDecisionManagement/api/v1
        headers: {
            'cache-control': 'no-cache'}


rule_executor:
    param_in_cfs_order_rule:
        server: instantiation_decision_server
        host: instantiation_decision_server
        port: 6006
        api_debug_mode: True
        url: /serviceResolver/instantiationDecisionManagement/api/v1
        headers: {
            'cache-control': 'no-cache'}
    instance_exists_in_a_set_rule:
        server: tornado
        host: instantiation_decision_server
        port: 6006
        api_debug_mode: True
        url: /serviceResolver/instantiationDecisionManagement/api/v1
        headers: {
            'cache-control': 'no-cache'}
    rfs_instance_capacity_rule:
        server: tornado
        host: instantiation_decision_server
        port: 6006
        api_debug_mode: True
        url: /serviceResolver/instantiationDecisionManagement/api/v1
        headers: {
            'cache-control': 'no-cache'}